Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230634 - PVFB backend fails to terminate when frontend vanishes early
Summary: PVFB backend fails to terminate when frontend vanishes early
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Markus Armbruster
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 21:39 UTC by Markus Armbruster
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:09:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed fix (deleted)
2007-03-02 14:09 UTC, Markus Armbruster
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0635 normal SHIPPED_LIVE xen enhancement update 2007-10-30 15:49:02 UTC

Description Markus Armbruster 2007-03-01 21:39:23 UTC
Description of problem:
When the frontend vanishes from xenstore before the connection is established,
the backend fails to terminate.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Make sure the guest has a VNC PVFB configured.
2. Start the guest (e.g. with xm create) with a kernel that lacks PVFB.
3. Shut down the guest, e.g. with xm shutdown.
  
Actual results:
Process xen-vncfb is still running for the guest.

Expected results:
Process xen-vncfb terminates when guest shuts down.

Additional info:
The steps to reproduce use a kernel without PVFB just to make them independent
of timing.  The bug should also bite with a stock kernel (which has PVFB), when
the guest is shut down or destroyed quickly enough.

Comment 1 Markus Armbruster 2007-03-02 14:09:21 UTC
Created attachment 149113 [details]
Proposed fix

The fix submitted upstream is not sufficient with our backwards compatibility
code.

Comment 2 RHEL Product and Program Management 2007-03-29 18:44:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Markus Armbruster 2007-06-14 14:19:31 UTC
Patch has been reviewed and committed to the rhel-5-1-hybrid-merge branch, where
it is now awaiting to be merged into the trunk.

Comment 5 Daniel Berrange 2007-06-14 14:58:15 UTC
Built into dist-5E-qu-candidate as xen-3.0.3-27.el5

* Thu Jun 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-27.el5
- Ensure pvfb terminates when frontend vanishes early (rhbz#230634)


Comment 8 errata-xmlrpc 2007-11-07 17:09:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html



Note You need to log in before you can comment on or make changes to this bug.